Chapters:
1: Introduction
2: Simple example
3: Invocation
4: Finer Control
5: X-Y Plots
6: Contour Plots
7: Image Plots
8: Examples
9: Gri Commands
10: Programming
11: Environment
12: Emacs Mode
13: History
14: Installation
15: Gri Bugs
16: Test Suite
17: Gri in Press
18: Acknowledgments
19: License
Indices:
Concepts
Commands
Variables

### 12.4.6: User commands with gri-mode

User gri commands defined in ``~/.grirc`' (see Resource File) or at the beginning of a gri file can also be used with ``gri-complete`'. Note that user commands are added from the current buffer whenever `gri-mode' is invoked. They may override previous user commands, but not gri system commands.